## bluraybackup 1.0

=== Makefile ===
BIN     = bluraybackup
VERSION = 1.0

PREFIX = /usr/local

INCS = -I/usr/include/libbluray
LIBS = -lbluray

CPPFLAGS_BLURAYBACKUP = -DVERSION=\"${VERSION}\" ${CPPFLAGS}
# debug
#CFLAGS_BLURAYBACKUP = -ggdb -std=c99 -pedantic ${INCS} ${CPPFLAGS_BLURAYBACKUP} ${CLAGS}
CFLAGS_BLURAYBACKUP  = -Os -std=c99 -pedantic ${INCS} ${CPPFLAGS_BLURAYBACKUP} ${CFLAGS}
LDFLAGS_BLURAYBACKUP = ${LIBS} ${LDFLAGS}

SRC = bluraybackup.c
OBJ = ${SRC:.c=.o}

all: options bluraybackup

options: 
	@echo bluraybackup build options:
	@echo "CFLAGS   = ${CFLAGS_BLURAYBACKUP}"
	@echo "LDFLAGS  = ${LDFLAGS_BLURAYBACKUP}"
	@echo "CC       = ${CC}"

.c.o:
	${CC} ${CFLAGS_BLURAYBACKUP} -c $< -o $@
	
${BIN}: ${OBJ}
	${CC} -o ${BIN} ${OBJ} ${LDFLAGS_BLURAYBACKUP}

clean:
	rm -f ${BIN} ${BIN}-${VERSION}.tar.gz *.o

dist: clean
	mkdir ${BIN}-${VERSION}
	cp -R ${BIN}.1 ${SRC} LICENSE Makefile README ${BIN}-${VERSION}
	tar -cf ${BIN}-${VERSION}.tar ${BIN}-${VERSION}
	gzip ${BIN}-${VERSION}.tar
	rm -fr ${BIN}-${VERSION}

install: ${BIN}
	# bin
	mkdir -p ${DESTDIR}${PREFIX}/bin
	cp -f ${BIN} ${DESTDIR}${PREFIX}/bin
	chmod 755 ${DESTDIR}${PREFIX}/bin/${BIN}
	# doc
	mkdir -p ${DESTDIR}${PREFIX}/share/doc/${BIN}
	cp -f README ${DESTDIR}${PREFIX}/share/doc/${BIN}
	chmod 644 ${DESTDIR}${PREFIX}/share/doc/${BIN}/README
	# man page
	mkdir -p ${DESTDIR}${PREFIX}/share/man/man1
	sed 's/VERSION/${VERSION}/' < ${BIN}.1 > ${DESTDIR}${PREFIX}/share/man/man1/${BIN}.1
	chmod 644 ${DESTDIR}${PREFIX}/share/man/man1/${BIN}.1

uninstall:
	rm -f ${DESTDIR}${PREFIX}/bin/${BIN}
	rm -fr ${DESTDIR}${PREFIX}/share/doc/${BIN}
	rm -f ${DESTDIR}${PREFIX}/share/man/man1/${BIN}.1

.PHONY: all options clean dist install uninstall

=== debian/changelog ===
bluraybackup (1.0-1) unstable; urgency=low

  * Initial release (Closes: #1055089)

 -- Matteo Bini <matteobin@tiepi.it>  Thu, 2 Nov 2023 11:06:33 +0100

=== debian/control ===
Source: bluraybackup
Section: video
Priority: optional
Maintainer: Matteo Bini <matteobin@tiepi.it>
Build-Depends: debhelper-compat (= 13),
               libbluray-dev
Standards-Version: 4.6.2
Vcs-Git: https://git.golem.linux.it/matteobin/bluraybackup.git
Vcs-Browser: https://git.golem.linux.it/matteobin/bluraybackup
Homepage: https://git.golem.linux.it/matteobin/bluraybackup
Rules-Requires-Root: no

Package: bluraybackup
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libbluray-bdj
Description: Backup BDMV from the command line
 bluraybackup makes a decrypted copy of the whole Blu-ray Disc Movie
 or it extracts a decrypted version of a specific BDMV stream.
 .
 Inspired by dvdbackup, developed in C99 following the suckless
 philosophy.

=== debian/watch ===
version=4
https://git.golem.linux.it/matteobin/bluraybackup/releases /matteobin/bluraybackup/archive/([1-9]\.[0-9])\.tar\.gz

## bluraybackup 2.0

=== Makefile ===
BIN     = bluraybackup
VERSION = 2.0

PREFIX = /usr/local

CPPFLAGS_BLURAYBACKUP = -DBIN=\"${BIN}\" -DVERSION=\"${VERSION}\" ${CPPFLAGS}
OPTIMIZATION          = -Os
CFLAGS_BLURAYBACKUP   = ${OPTIMIZATION} -ansi -pedantic ${CPPFLAGS_BLURAYBACKUP} ${CFLAGS}
LDFLAGS_BLURAYBACKUP  = -lbluray ${LDFLAGS}

SRC = ${BIN}.c
OBJ = ${SRC:.c=.o}

all: ${BIN}

.c.o:
	${CC} ${CFLAGS_BLURAYBACKUP} -c $< -o $@
	
${BIN}: ${OBJ}
	${CC} -o ${BIN} ${OBJ} ${LDFLAGS_BLURAYBACKUP}

clean:
	rm -f ${BIN} ${BIN}-[1-9].[0-9].tar.gz *.o

debug:
	@make OPTIMIZATION=-ggdb

dist: clean
	mkdir ${BIN}-${VERSION}
	cp -R ${BIN}.1 ${SRC} LICENSE Makefile README ${BIN}-${VERSION}
	tar -cf ${BIN}-${VERSION}.tar ${BIN}-${VERSION}
	gzip ${BIN}-${VERSION}.tar
	rm -fr ${BIN}-${VERSION}

install: ${BIN}
	# bin
	mkdir -p ${DESTDIR}${PREFIX}/bin
	cp -f ${BIN} ${DESTDIR}${PREFIX}/bin
	chmod 755 ${DESTDIR}${PREFIX}/bin/${BIN}
	# doc
	mkdir -p ${DESTDIR}${PREFIX}/share/doc/${BIN}
	cp -f README ${DESTDIR}${PREFIX}/share/doc/${BIN}
	chmod 644 ${DESTDIR}${PREFIX}/share/doc/${BIN}/README
	# man page
	mkdir -p ${DESTDIR}${PREFIX}/share/man/man1
	sed 's/VERSION/${VERSION}/' < ${BIN}.1 > ${DESTDIR}${PREFIX}/share/man/man1/${BIN}.1
	chmod 644 ${DESTDIR}${PREFIX}/share/man/man1/${BIN}.1

uninstall:
	rm -f ${DESTDIR}${PREFIX}/bin/${BIN}
	rm -fr ${DESTDIR}${PREFIX}/share/doc/${BIN}
	rm -f ${DESTDIR}${PREFIX}/share/man/man1/${BIN}.1

.PHONY: all clean dist install uninstall

=== debian/changelog ===
bluraybackup (2.0-1build1) resolute; urgency=medium

  * Rebuild against latest libbluray

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 19 Oct 2025 13:50:50 -0400

bluraybackup (2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 4.7.2.
    - Update Description to reflect change from C99 to ANSI C (C89).
  * debian/upstream/metadata:
    - Remove deprecated Name and Contact fields.
  * debian/watch:
    - Change URL to FTP.

 -- Matteo Bini <matteobin@tiepi.it>  Tue, 08 Apr 2025 18:29:38 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

SHELL := sh -e

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- DESTDIR=${CURDIR}/debian/bluraybackup PREFIX=/usr

=== debian/watch ===
version=4
opts="pasv" ftp://larry.tiepi.it/bluraybackup/bluraybackup-([1-9]\.[0-9])\.tar\.gz
